#include "additionalFunctions.h"

float ofxVec2fDistance(ofxVec2f& first, ofxVec2f& second) {
	float s1 = second.x - first.x;
	float s2 = second.y - first.y;
	return s1 * s1 + s2 * s2;
}

void scale2dVector( ofxVec2f& vec, const float scaleFactor)
{
	vec.x *= scaleFactor;
	vec.y *= scaleFactor;
}